Web lists-archives.com

Re: [Samba] 4.10.0, python3 and Debian 8.11




On Tue, 2019-03-19 at 21:35 +0000, Jonathan Hunter via samba wrote:
> Hi,
> 
> First of all - thanks very much to the team for the work that has gone
> into 4.10.0, I have downloaded it and am looking forward to upgrading
> :)
> 
> I decided to try and use Python3 with my 4.10.0 upgrade, given the
> comments in the release notes; but I have some newbie questions that
> hopefully others can help with. I'm really not up to speed with
> python3 yet!
> 
> This version of Debian evidently doesn't come with python3 pre-installed:
> 
> PYTHONHASHSEED=1 WAF_MAKE=1  ./buildtools/bin/waf install
> /usr/bin/env: python3: No such file or directory
> Makefile:10: recipe for target 'install' failed
> make: *** [install] Error 127
> (yes, I think I tried to install before having configured it - but
> still the python3 error is the same)
> 
> so I figured I could install Python 3:
> $ sudo apt-get install python3

python3-dev 

There will be other python3 packages you need, the simple way would be
to install python3-all.

We realise that our package lists on the wiki are out of date
(particularly with respect to multiple Samba versions and multiple
distributions), we are in the final stages of preparing a new package
list system that will be validated by our CI tooling.

Andrew Bartlett
-- 
Andrew Bartlett
https://samba.org/~abartlet/
Authentication Developer, Samba Team         https://samba.org
Samba Development and Support, Catalyst IT   
https://catalyst.net.nz/services/samba





-- 
To unsubscribe from this list go to the following URL and read the
instructions:  https://lists.samba.org/mailman/options/samba